---
- name: Configure Mini SNMP Daemon
  uci:
    command: '{{ item.command | default(omit) }}'
    config: 'mini_snmpd'
    find_by: '{{ item.find_by | default(omit) }}'
    keep_keys: '{{ item.keep_keys | default(omit) }}'
    key: '{{ item.key | default(omit) }}'
    merge: '{{ item.merge | default(omit) }}'
    name: '{{ item.name | default(omit) }}'
    option: '{{ item.option | default(omit) }}'
    replace: '{{ item.replace | default(omit) }}'
    section: '{{ item.section | default(omit) }}'
    set_find: '{{ item.set_find | default(omit) }}'
    type: '{{ item.type | default(omit) }}'
    unique: '{{ item.unique | default(omit) }}'
    value: '{{ item.value | default(omit) }}'
  loop: '{{ mini_snmpd | default([]) }}'
  register: res
  failed_when: >-
    res is failed
    and res.result != "/sbin/uci: Entry not found"
  tags:
    - mini_snmpd
  notify:
    - Restart mini_snmpd
    - Commit UCI changes
